import datetime
import time

from comData.policylaw.an_hui import an_hui
from comData.policylaw.bei_jing import bei_jing
from comData.policylaw.chong_qing import chong_qing
from comData.policylaw.fu_jian import fu_jian
from comData.policylaw.gan_su import gan_su
from comData.policylaw.guang_dong import guang_dong
from comData.policylaw.guang_xi import guang_xi
from comData.policylaw.gui_zhou import gui_zhou
from comData.policylaw.gwyfile import get_content1
from comData.policylaw.gwyparts import get_content2
from comData.policylaw.gwysasac import get_content3
from comData.policylaw.hai_nan import hai_nan
from comData.policylaw.he_bei import he_bei
from comData.policylaw.he_nan import he_nan
from comData.policylaw.hei_long_jiang import hei_long_jiang
from comData.policylaw.hu_nan import hu_nan
from comData.policylaw.ji_lin import ji_lin
from comData.policylaw.jiang_su import jiang_su
from comData.policylaw.jiang_xi import jiang_xi
from comData.policylaw.liao_ning import liao_ning
from comData.policylaw.nei_meng_gu import nei_meng_gu
from comData.policylaw.ning_xia import ning_xia
from comData.policylaw.qing_hai import qing_hai
from comData.policylaw.shan_dong import shan_dong
from comData.policylaw.shan_xi import shan_xi
from comData.policylaw.shang_hai import shang_hai
from comData.policylaw.shanxi import shanxi
from comData.policylaw.si_chuan import si_chuan
from comData.policylaw.tian_jin import tian_jin
from comData.policylaw.xi_zang import xi_zang
from comData.policylaw.xin_jiang import xin_jiang
from comData.policylaw.yun_nan import yun_nan
from comData.policylaw.zhe_jiang import zhe_jiang



if __name__ == "__main__":
    get_content1()
    get_content3()
    bei_jing()
    nei_meng_gu()
    ji_lin()
    shang_hai()
    zhe_jiang()
    fu_jian()
    shan_dong()
    guang_dong()
    hai_nan()
    si_chuan()
    guang_xi()
    gui_zhou()
    yun_nan()
    chong_qing()
    tian_jin()
    xin_jiang()
    shan_xi()
    liao_ning()
    hei_long_jiang()
    jiang_su()
    an_hui()
    jiang_xi()
    he_nan()
    hu_nan()
    gan_su()
    ning_xia()
    xi_zang()
    shanxi()
    qing_hai()
    he_bei()
    get_content2()
    current_time = datetime.datetime.now()
    midnight_time = current_time.replace(hour=0, minute=0, second=0, microsecond=0) + datetime.timedelta(days=1)
    sleep_seconds = (midnight_time - current_time).total_seconds()
    time.sleep(sleep_seconds)